Subject: Re: Multicast addresses AllSPFRouters, AllDRouters

From: Beatriz Silva <[email-masked]>
Date: Fri, 28 Jun 2002 04:55:40 -0500

Thanks Amir.

But I just have one more doubt...

In my scenario I do not have any multicast routers. Therefore, it would not be necessary to send a group join indiacation to the multicast address of the group. The normal routers I have and the host do not do anything with this message I guess. Am I right ?
And if there were a multicast router in my local network, would this join indication be sent to the ethernet multicast address of the group or directly to the mac address of the Multicast router ?

Thanks.

Beatriz

----- Original Message -----
From: Amit Srivastava <[email-masked]>
Date:         Mon, 24 Jun 2002 05:10:00 -0700
To: [email-masked]
Subject: Re: Multicast addresses AllSPFRouters, AllDRouters

> Hi Beatriz,
>       The mac address that is sent(as destination) is
> the exact mapping of the multicast IP address.If you
> are using the Linux system then by default it supports
> Mac layer multicast support.
>             So if your destination IP is 224.0.0.5
> then your mac destination address will be 01 00 5e 00
> 00 05 in hex.
>        The IGMP group joining is sent as a rule for
> the IP multicaste which states that whenever you join
> any group of multicaste address you have to send a
> group join indiaction to your router.Study multicaste
> general protocol to make picture more clear.
> I hope i am clear!!
> Regards
> Amit
> --- Beatriz Silva <[email-masked]> wrote:
> > Amit, thanks for the answer. But I still have some
> > doubts ...
> >
> > More specifically my question is:
> >
> > When a packet to AllSPFRouters is sent, what is the
> > MAC address written in the destination field of the
> > Ethernet header ? Is it a mac multicast address or
> > is there a mapping between the ip multicast address
> > and the mac addresses of all of the routers that
> > joined that multicast address ?
> > And what must be done in the router in order for it
> > to be capable to liste to packets to multicast
> > address AllSPFRouters and AllDRouters (if it is the
> > case) ?
> > Why does the router have to send an IGMP membership
> > report message to AllSPFaddress and to AllDRouters
> > multicast addresses ?
> >
> > I hope I am not too confusing ..
> >
> > Thank you,
> >
> > Beatriz
> > > > AllSPFRouters and another to AllDRouters
> > ----- Original Message -----
> > From: Amit Srivastava <[email-masked]>
> > Date:         Mon, 24 Jun 2002 02:41:34 -0700
> > To: [email-masked]
> > Subject: Re: Multicast addresses AllSPFRouters,
> > AllDRouters
> >
> >
> > > Hi Beatriz.
> > >    As far as i could understand your problem the
> > > answer to it is:-
> > >            The Ip layer keeps a buffer(table) in
> > which
> > > it stores all the IP addresses it is listening
> > to.So
> > > when a packet is send on the net the Ip layer
> > would
> > > check the destination ip address from the buffer
> > it is
> > > holding and if the address is found then it will
> > give
> > > the packet to the other protocol otherwise it will
> > > discard the packet.
> > > Regards
> > > Amit
> > > --- Beatriz Silva <[email-masked]>
> > wrote:
> > > > Hi !
> > > >
> > > > I realized that as soon as I put one of the
> > routers
> > > > interfaces up, one of the first things that is
> > done
> > > > is to send a IGMP membership report message to
> > > > AllSPFRouters and another to AllDRouters. Does
> > > > anybody knows why ?? Does the router interface
> > keeps
> > > > a table including all of the member addresses of
> > > > these multicast addresses ? Is there a mapping
> > from
> > > > the Ip multicast address to all of the destined
> > mac
> > > > addresses ?
> > > >
> > > > Thank you very much,
> > > >
> > > > Beatriz
> > > > --
> > > >
> > >
> >
> __________________________________________________________
> > > > Sign-up for your own FREE Personalized E-mail at
> > > > Mail.com
> > > > http://www.mail.com/?sr=signup
> > > >
> > > > Save up to $160 by signing up for NetZero
> > Platinum
> > > > Internet service.
> > > > http://www.netzero.net/?refcd=N2P0602NEP8
> > >
> > >
> > > __________________________________________________
> > > Do You Yahoo!?
> > > Yahoo! - Official partner of 2002 FIFA World Cup
> > > http://fifaworldcup.yahoo.com
> > >
> >
> > --
> >
> __________________________________________________________
> > Sign-up for your own FREE Personalized E-mail at
> > Mail.com
> > http://www.mail.com/?sr=signup
> >
> > Save up to $160 by signing up for NetZero Platinum
> > Internet service.
> > http://www.netzero.net/?refcd=N2P0602NEP8
>
>
> __________________________________________________
> Do You Yahoo!?
> Yahoo! - Official partner of 2002 FIFA World Cup
> http://fifaworldcup.yahoo.com
>

--
__________________________________________________________
Sign-up for your own FREE Personalized E-mail at Mail.com
http://www.mail.com/?sr=signup

Save up to $160 by signing up for NetZero Platinum Internet service.
http://www.netzero.net/?refcd=N2P0602NEP8